package com.realnet.basicp1.Controllers;
import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
 import org.springframework.web.bind.annotation.*;
import org.springframework.web.multipart.MultipartFile;
import com.fasterxml.jackson.core.JsonProcessingException;
import org.springframework.web.bind.annotation.CrossOrigin;
import com.fasterxml.jackson.databind.JsonMappingException;
import com.realnet.config.EmailService;
import com.realnet.users.entity1.AppUser;
import com.realnet.users.service1.AppUserServiceImpl;
import com.fasterxml.jackson.databind.ObjectMapper;
import org.springframework.data.domain.*;
import com.realnet.fnd.response.EntityResponse;
import org.springframework.http.*;
import org.springframework.beans.factory.annotation.*;
import com.realnet.basicp1.Entity.Testaa;
import com.realnet.basicp1.Services.TestaaService ;






@RequestMapping(value = "/Testaa")
 @CrossOrigin("*") 
@RestController
public class TestaaController {
	@Autowired
	private TestaaService Service;

@Value("${projectPath}")
	private String projectPath;
 






	@PostMapping("/Testaa")
		  public Testaa Savedata(@RequestBody Testaa data) {
		Testaa save = Service.Savedata(data)	;





		System.out.println("data saved..." + save);

 return save;
	  }
@PutMapping("/Testaa/{id}")
	public  Testaa update(@RequestBody Testaa data,@PathVariable Integer id ) {
		Testaa update = Service.update(data,id);
		System.out.println("data update..." + update);
		return update;
	}	 
//	get all with pagination
	@GetMapping("/Testaa/getall/page")
	public Page<Testaa> getall(@RequestParam(value = "page", required = false) Integer page,
			@RequestParam(value = "size", required = false) Integer size) {
		Pageable paging = PageRequest.of(page, size);
		Page<Testaa> get = Service.getAllWithPagination(paging);

		return get;

	}	
	@GetMapping("/Testaa")
	public List<Testaa> getdetails() {
		 List<Testaa> get = Service.getdetails();		
		return get;
}
// get all without authentication 

	@GetMapping("/token/Testaa")
	public List<Testaa> getallwioutsec() {
		 List<Testaa> get = Service.getdetails();		
		return get;
}
@GetMapping("/Testaa/{id}")
	public  Testaa  getdetailsbyId(@PathVariable Integer id ) {
		Testaa  get = Service.getdetailsbyId(id);
		return get;
	}
@DeleteMapping("/Testaa/{id}")
	public  ResponseEntity<?> delete_by_id(@PathVariable Integer id ) {
	Service.delete_by_id(id);
			return new ResponseEntity<>(new EntityResponse("Deleted"), HttpStatus.OK);
	
	}







}